<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.swzdr.mapper.RyGzdwMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="ryGzdwResultMap" type="org.springblade.swzdr.pojo.entity.RyGzdwEntity">
        <result column="id" property="id"/>
        <result column="user_id" property="userId"/>
        <result column="dwmc" property="dwmc"/>
        <result column="dwxz" property="dwxz"/>
        <result column="dwdz" property="dwdz"/>
        <result column="rzsj" property="rzsj"/>
        <result column="gzzz" property="gzzz"/>
        <result column="dwld" property="dwld"/>
        <result column="dwld_lxdh" property="dwldLxdh"/>
        <result column="bmld" property="bmld"/>
        <result column="bmld_lxdh" property="bmldLxdh"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
    </resultMap>

    <select id="selectRyGzdwPage" resultMap="ryGzdwResultMap">
        select * from swzdr_ry_gzdw where is_deleted = 0
    </select>

    <select id="exportRyGzdw" resultType="org.springblade.swzdr.excel.RyGzdwExcel">
        SELECT * FROM swzdr_ry_gzdw ${ew.customSqlSegment}
    </select>

</mapper>
